%global forgeurl https://github.com/pothosware/SoapyAirspyHF
%global commit a2fd6cf659175ba88ce391ec3ef70681a929fbc6

# Looks like mock / fedora-review does not work properly with forge style of
# dist for me, so define shortcommit and commit_date to make the review work.
# I will change back to forge style of info for official build.
%global shortcommit %(c=%{commit};echo ${c:0:7})
%global commit_date 20230703

# Name follows the same style of soapy-rtlsdr for unique end user experience.
Name:           soapy-airspyhf
Version:        0.2.0
Release:        1.%{commit_date}git%{shortcommit}%{?dist}

%forgemeta -i

#Release:        1%%{?dist}
Summary:        Soapy SDR plugin for AirspyHF+
License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}


BuildRequires:  cmake >= 2.8
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libairspyhf)
BuildRequires:  pkgconfig(SoapySDR) >= 0.4.0

%description
Soapy SDR plugin for AirspyHF+

%prep
%forgesetup


%build
mkdir build
cd build
%cmake3 .. -DINSTALL_UDEV_RULES=ON

%cmake_build

%install
cd build
%cmake_install

%files
%doc README.md Changelog.txt
%license LICENSE.txt
%{_libdir}/SoapySDR/modules*/libairspyhfSupport.so

%changelog
* Thu Dec 21 2023 Zamir SUN <sztsian@gmail.com> - 0.2.0-1
- Initial package
